.navbar {
  position: relative;
  width: 100%;
  padding: 2vh 0;
}

.container {
  display: flex;
  align-items: center;
  width: 95%;
  margin: 0 auto;
}

@media only screen and (min-width: 1024px) {
  .container {
    width: 80%;
  }
}

@media only screen and (min-width: 1440px) {
  .container {
    width: 70%;
  }
}

.topbox,
.nav__item {
  margin-right: 30px;
}

.bottombox {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

@media only screen and (max-width: 768px) {
  .bottombox {
    display: flex;
    position: absolute;
    left: 0;
    top: 105%;
    z-index: 3;
    flex-direction: column;
    background-color: #141414;
    border-top: 1px solid var(--border-first-color);
    border-bottom: 1px solid var(--border-first-color);
    opacity: 0;
    transform: scaleY(0);
    transition:
      opacity 0.35s,
      transform 0.35s;
  }
}

.bottombox--active {
  opacity: 1;
  transform: scaleY(1);
  width: 100%;
}

.topbox {
  display: block;
}

@media only screen and (max-width: 768px) {
  .topbox {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin: 0;
  }
}

.toggle {
  cursor: pointer;
  display: none;
  height: 38px;
  padding: 8px;
  width: 38px;
}

@media only screen and (max-width: 768px) {
  .toggle {
    display: block;
  }
}

.toggle__line {
  background-color: #fff;
  display: block;
  height: 2px;
  margin-top: 4px;
  position: relative;
  transition: transform 0.25s;
}

.toggle--active .toggle__line:first-child {
  transform: rotate(45deg) translate(4.4px, 4.4px);
}

.toggle--active .toggle__line:nth-child(2) {
  width: 0;
}

.toggle--active .toggle__line:nth-child(3) {
  transform: rotate(-45deg) translate(4.4px, -4.4px);
}

.logo {
  display: none;
}

@media only screen and (max-width: 768px) {
  .logo {
    display: block;
  }
}

@media only screen and (min-width: 1024px) {
  .logo {
    display: block;
  }
}

.logo:hover {
  filter: drop-shadow(2px 2px 25px rgba(255, 181, 40, 0.2));
  transform: scale(1.05);
}

.nav {
  align-self: center;
}

.list,
.sublist {
  list-style-type: none;
}

.list {
  display: flex;
  font-size: 0.95rem;
}

@media only screen and (max-width: 768px) {
  .list {
    display: block;
    margin-top: 2vh;
    font-size: 1.15rem;
    text-align: center;
  }
}

.sublist {
  display: none;
}

@media only screen and (max-width: 768px) {
  .nav__item {
    margin: 1rem 0 1rem 0;
  }
}

.nav__item--sublist {
  position: relative;
}

.nav__item--sublist:hover .sublist {
  display: block;
}

@media only screen and (min-width: 768px) {
  .nav__item--sublist:hover .sublist {
    display: block;
    position: absolute;
    width: max-content;
  }
}

.nav__subitem {
  margin-top: 0.65rem;
}

.nav__link:hover {
  color: var(--color-first-hover);
}

.nav__link--sublist {
  cursor: pointer;
}

.buttonbox {
  display: flex;
}

@media only screen and (max-width: 768px) {
  .buttonbox {
    border-top: 1px solid var(--color-second-hover);
    width: 100%;
    padding: 10px 10px;
    justify-content: flex-end;
  }
}

.button,
.nav__stack {
  margin-left: 15px;
}

.button {
  display: none;
}

@media only screen and (min-width: 1366px) {
  .button {
    display: block;
  }
}

.nav__stack {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.2rem;
  box-shadow: 0 0 5px var(--button-background-color);
  width: 40px;
  height: 40px;
  transition: color 0.25s;
}

.nav__stack:hover {
  color: var(--color-second-hover);
}
